parameters:
    webkul_prestashop_connector.processor.normalization.product_model.class: Webkul\PrestashopConnectorBundle\Connector\Processor\Normalization\ProductModelProcessor
    webkul_prestashop_connector.processor.normalization.product.class: Webkul\PrestashopConnectorBundle\Connector\Processor\Normalization\ProductProcessor

services:
    # Product Model Processor
    webkul_prestashop_connector.processor.normalization.product_model:
        class: '%webkul_prestashop_connector.processor.normalization.product_model.class%'
        arguments:
            - '@pim_catalog.normalizer.standard.product_model'
            - '@pim_catalog.repository.attribute'
            - '@akeneo_storage_utils.doctrine.object_detacher'
            # - '@pim_connector.processor.bulk_media_fetcher'
            - '@pim_catalog.product_model.fill_missing_values'
            
    # Product Processor
    webkul_prestashop_connector.processor.normalization.product:
        class: '%webkul_prestashop_connector.processor.normalization.product.class%'
        arguments:
            - '@pim_catalog.normalizer.standard.product'
            - '@pim_catalog.repository.channel'
            - '@pim_catalog.repository.attribute'
            - '@akeneo_storage_utils.doctrine.object_detacher'
            # - '@pim_connector.processor.bulk_media_fetcher'
            - '@pim_catalog.product_model.fill_missing_values'